Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": "1",
"limit": "10",
"search_query": "ava"
}
response = client.contacts.list(**payload)
print(response)curl --request GET \\
--url https://voip-middlware.superu.ai/contact/list?page=1&limit=10&search_query=ava \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"contact_list": [
{
"id": "69f9a8689a75ace1c01dc475",
"name": "Ava Patel",
"email": "ava.patel@example.com",
"phone": "+1 5551234567",
"created_at": "2026-05-05 08:20:56.125000"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total_count": 1,
"total_pages": 1,
"has_next": false,
"has_prev": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Contacts
List contacts
Returns contacts with pagination and optional search.
GET
/
contact
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": "1",
"limit": "10",
"search_query": "ava"
}
response = client.contacts.list(**payload)
print(response)curl --request GET \\
--url https://voip-middlware.superu.ai/contact/list?page=1&limit=10&search_query=ava \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"contact_list": [
{
"id": "69f9a8689a75ace1c01dc475",
"name": "Ava Patel",
"email": "ava.patel@example.com",
"phone": "+1 5551234567",
"created_at": "2026-05-05 08:20:56.125000"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total_count": 1,
"total_pages": 1,
"has_next": false,
"has_prev": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Query Parameters
Page number
Required range:
x >= 1Example:
1
Contacts per page (1-100)
Required range:
1 <= x <= 100Example:
10
Search text
Example:
"ava"
Response
Contacts returned

